Page MenuHomePhabricator

The text displays one line above the cursor when syntax highlighting in while using the 2017 wikitext editor
Closed, ResolvedPublic

Description

As shown by the cursor and red spell check lines on the attached image, they are one line below the text. This only happens when syntax highlighting is turned on.

Event Timeline

Daylen created this task.Sep 21 2018, 8:16 PM
Restricted Application added a project: VisualEditor. · View Herald TranscriptSep 21 2018, 8:16 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Schnark added a subscriber: Schnark.

I can reproduce with Timeless skin, but not with Vector.

Restricted Application added a project: Community-Tech. · View Herald TranscriptSep 22 2018, 8:49 AM
Izno added a subscriber: Izno.Sep 22 2018, 1:29 PM

I can produce this on Firefox 62.0 64-bit on Windows 10.

Esanders added a subscriber: Esanders.EditedSep 23 2018, 10:56 PM

Timeless is not an officially supported skin, but community patches are welcome.

Change 463366 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/CodeMirror@master] ve.ui.CodeMirror: Fix padding to match VisualEditor's padding

https://gerrit.wikimedia.org/r/463366

Change 463366 merged by jenkins-bot:
[mediawiki/extensions/CodeMirror@master] ve.ui.CodeMirror: Fix padding to match VisualEditor's padding

https://gerrit.wikimedia.org/r/463366

matmarex closed this task as Resolved.Sep 27 2018, 9:51 PM
matmarex removed a project: Patch-For-Review.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptSep 27 2018, 9:51 PM